/* UtilLib - Copyright (c) 2007-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text;

import net.mapeadores.util.localisation.Lang;


/**
 *
 * @author Vincent Calame
 */
public interface LabelHolder {

    /**
     * Retourne le nombre total d'instance de Label.
     */
    public int getLabelCount();

    /**
     * Retourne la i-ème instance de Label.
     */
    public Label getLabelByIndex(int i);

    public Label getLabelByLang(Lang lang);

}
