/* SctServer_API - Copyright (c) 2013-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api.collect;

import net.mapeadores.util.primitives.FuzzyDate;


/**
 *
 * @author Vincent Calame
 */
public interface CollectResult {

    public static final short OK_STATE = 1;
    public static final short UNKNOWN_STATE = 0;
    public static final short INFO_NOCONNECTION_STATE = -11;
    public static final short INFO_BROKENURL_STATE = -12;
    public static final short INFO_DOWNLOADERROR_STATE = -13;
    public static final short INFO_NOTXML_STATE = -14;
    public static final short INFO_WRONGXML_STATE = -15;
    public static final short DATA_NOCONNECTION_STATE = -21;
    public static final short DATA_BROKENURL_STATE = -22;
    public static final short DATA_DOWNLOADERROR_STATE = -23;
    public static final short DATA_NOTXML_STATE = -24;

    public short getState();

    public FuzzyDate getLastUpdate();

}
